{% assign destinationUrlParts = page.new_link | split: '#' %}
{% assign destinationPage = site.pages | find: 'url', destinationUrlParts[0] %}
{% unless destinationPage %}
    <!-- 
    This next line will force a compilation error if the destination does not exist.
    Helps in preventing broken links.
    -->
    {{ REDIRECT_DESTINATION_DOESNT_EXIST | date }}
{% endunless %}
<!doctype html>
<html lang="en">
<head>    
<meta charset="utf-8">
<title>{% if destinationPage.title %}{{ destinationPage.title }} – {% endif %}{{ site.data.globals.title }}</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0">

<!-- Meta -->
{% include meta_tags page=destinationPage %}

<!-- Redirect to new URL automatically. Via JS if possible, otherwise via meta tag (but meta tag breaks back button). -->
    <script>
        window.location.replace('{{ page.new_link }}');
    </script>
    <meta http-equiv="refresh" content="0; url={{ page.new_link }}" />

</head>
<body>
The page has moved <a href="{{ page.new_link }}">here</a>...
</body>
</html>